Compare commits

...

71 Commits

Author SHA1 Message Date
Mike Reeves 4d6cd66d9d Merge pull request #6521 from Security-Onion-Solutions/hotfix/2.3.90
Hotfix/2.3.90
2021-12-10 16:20:29 -05:00
Mike Reeves 1946965c5f Merge pull request #6520 from Security-Onion-Solutions/2390hotfix0day
2.3.90-20211210 Hotfix
2021-12-10 15:49:38 -05:00
Mike Reeves c9a14788ed 2.3.90-20211210 Hotfix 2021-12-10 15:42:53 -05:00
Mike Reeves ce963a02d9 Merge pull request #6517 from Security-Onion-Solutions/ES0day2
Add JVM Options for logstash
2021-12-10 14:25:52 -05:00
Mike Reeves dcd56de890 Update log4j2.properties 2021-12-10 14:23:38 -05:00
Mike Reeves 3d7b963912 Update log4j2.properties 2021-12-10 14:16:16 -05:00
Mike Reeves 09253b637e Create jvm.options 2021-12-10 14:12:43 -05:00
Mike Reeves c81ce48bff Update log4j2.properties 2021-12-10 14:10:35 -05:00
Mike Reeves 73ec595baa Update init.sls 2021-12-10 14:10:05 -05:00
Mike Reeves 04862fcc06 Merge pull request #6514 from Security-Onion-Solutions/ES0day2
Throw the log4j into the java options
2021-12-10 12:04:31 -05:00
Mike Reeves 45346b6318 Update log4j2.properties 2021-12-10 12:01:39 -05:00
Mike Reeves e48de18480 Update init.sls 2021-12-10 12:00:12 -05:00
Mike Reeves 66c8cc6e86 Update init.sls 2021-12-10 11:59:12 -05:00
Mike Reeves 8dcb64d87c Update init.sls 2021-12-10 11:56:33 -05:00
Mike Reeves ae3e980852 Merge pull request #6513 from Security-Onion-Solutions/EShotfix
Update log4j2.properties
2021-12-10 10:35:43 -05:00
Mike Reeves 11f1fe7ab1 Update HOTFIX 2021-12-10 10:21:50 -05:00
Mike Reeves 4561e13871 Update log4j2.properties 2021-12-10 10:19:58 -05:00
Mike Reeves ea26e402c8 Update log4j2.properties 2021-12-10 10:17:49 -05:00
Mike Reeves 9f41df641e Merge pull request #6470 from Security-Onion-Solutions/hotfix/2.3.90
HOTFIX: 2.3.90-20211206
2021-12-07 09:51:01 -05:00
Mike Reeves 9f94ecfab7 Merge pull request #6466 from Security-Onion-Solutions/2390updates3
2.3.90 hotfix 20211206
2021-12-06 11:07:14 -05:00
Mike Reeves 4188282724 2.3.90 hotfix 20211206 2021-12-06 11:03:49 -05:00
Mike Reeves 3945933dec Merge pull request #6446 from Security-Onion-Solutions/TOoSmOotH-patch-4
Update HOTFIX
2021-12-06 09:38:02 -05:00
Mike Reeves 73a1a3878f Update HOTFIX 2021-12-06 09:37:07 -05:00
weslambert ff25d6f80b Merge pull request #6447 from Security-Onion-Solutions/eg_dashes
Add initial EG dashboards
2021-12-03 18:05:22 -05:00
Wes Lambert 0571612ea1 Add initial EG dashes 2021-12-03 22:38:30 +00:00
Mike Reeves f697d88090 Update HOTFIX 2021-12-03 15:36:16 -05:00
Mike Reeves ad03241910 Merge pull request #6445 from Security-Onion-Solutions/TOoSmOotH-patch-3
Apply hotfix to all 2.3.90 installs
2021-12-03 15:24:33 -05:00
Mike Reeves f82d204c0e Update soup 2021-12-03 15:20:33 -05:00
Mike Reeves 780daf8aa7 Apply hotfix to all 2.3.90 installs 2021-12-03 15:15:45 -05:00
Josh Patterson 5008b647b0 Merge pull request #6441 from Security-Onion-Solutions/hf/soc_append2.3.90
export LC_CTYPE="en_US.UTF-8" in soup
2021-12-03 15:10:12 -05:00
m0duspwnens 65b1ab833d run salt-call locally as if no Salt master were present during reinstall - https://github.com/Security-Onion-Solutions/securityonion/discussions/6435 2021-12-03 12:00:29 -05:00
m0duspwnens c6773a0bbc move "Preparing soup" to main so shows in soup.log 2021-12-03 10:26:22 -05:00
m0duspwnens ff2d2c7c04 export LC_CTYPE="en_US.UTF-8" - https://github.com/Security-Onion-Solutions/securityonion/discussions/6431 2021-12-02 16:39:32 -05:00
Mike Reeves 6c7a1f23f5 Merge pull request #6440 from Security-Onion-Solutions/TOoSmOotH-patch-2
Fix for the clustername used in wrong context
2021-12-02 15:35:26 -05:00
Mike Reeves f5761c73a5 Fix for the clustername used in wrong context 2021-12-02 15:30:35 -05:00
Mike Reeves 8448778ecd Merge pull request #6438 from Security-Onion-Solutions/hf/soc_append2.3.90
hf/soc append2.3.90
2021-12-02 15:10:51 -05:00
m0duspwnens 8d667795a7 only add soc:es_index_patterns to pillar if not already present 2021-12-02 10:28:17 -05:00
m0duspwnens 7a664ab8f7 more error proof up_to_2.3.90 function 2021-12-02 10:02:26 -05:00
m0duspwnens 5e0ac89841 merge with master 2021-12-01 14:27:58 -05:00
Mike Reeves 8990a09d92 Merge pull request #6418 from Security-Onion-Solutions/hotfix/2.3.90
Hotfix/2.3.90
2021-12-01 13:24:19 -05:00
Mike Reeves 946673dc3b Merge pull request #6417 from Security-Onion-Solutions/2390updates2
2.3.90 hotfix airgap
2021-12-01 13:20:41 -05:00
m0duspwnens c571b2c499 handle redirect if more than 1 match from compgen 2021-12-01 13:17:14 -05:00
Mike Reeves 80c569317f 2.3.90 hotfix airgap 2021-12-01 13:16:13 -05:00
Mike Reeves 5f121f3b99 Merge pull request #6411 from Security-Onion-Solutions/m0duspwnens-patch-1/hotfix/2.3.90
remove redirect to /dev/null for compgen
2021-12-01 10:17:29 -05:00
Josh Patterson 63cb486698 remove redirect to /dev/null for compgen 2021-12-01 10:16:04 -05:00
William Wernert 1a31e60e47 Merge pull request #6402 from Security-Onion-Solutions/fix/airgap-check
Fix/airgap check
2021-11-30 15:57:02 -05:00
William Wernert 168f860c87 Add hotfix string to HOTFIX 2021-11-30 15:49:41 -05:00
William Wernert 8d87fae6a8 Remove airgap repo file if it shouldn't exist 2021-11-30 15:46:22 -05:00
William Wernert 739efc22d2 Fix airgap check logic 2021-11-30 15:46:18 -05:00
Mike Reeves 4c6786a412 Merge pull request #6335 from Security-Onion-Solutions/hotfix/2.3.90
Hotfix/2.3.90
2021-11-23 16:51:27 -05:00
Mike Reeves 5062e910e2 Merge pull request #6334 from Security-Onion-Solutions/2390updates
2.3.90 hotfix soup
2021-11-23 15:41:21 -05:00
Mike Reeves 1f9dc0db1f 2.3.90 hotfix soup 2021-11-23 15:40:04 -05:00
Mike Reeves c536e11383 2.3.90 hotfix soup 2021-11-23 15:32:41 -05:00
Mike Reeves faa8464b60 Merge pull request #6333 from Security-Onion-Solutions/kilo
Correct if check to inline the command instead of checking for emptin…
2021-11-23 14:53:24 -05:00
Jason Ertel 4f283c2d86 Suppres grep output 2021-11-23 14:52:40 -05:00
Jason Ertel 801d42ed20 Correct if check to inline the command instead of checking for emptiness of a variable 2021-11-23 14:51:06 -05:00
Mike Reeves 30a1ffc1c7 Merge pull request #6329 from Security-Onion-Solutions/kilo
2.3.90 WAZUH
2021-11-23 13:37:41 -05:00
Jason Ertel 59fc122eec Force restart of wazuh since conf file is changing 2021-11-23 13:29:04 -05:00
Jason Ertel 52ffa27eda Update hotfix file 2021-11-23 13:22:47 -05:00
Jason Ertel bd59d65f02 Strip trailing newlines from version and hotfix files 2021-11-23 13:12:27 -05:00
Jason Ertel 01ceded223 Handle CRs in hotfix 2021-11-23 13:03:40 -05:00
Jason Ertel 3c37bd61ab Add debug logging 2021-11-23 12:46:59 -05:00
Jason Ertel a35670c889 Merge branch 'hotfix/1.3.90' into kilo 2021-11-23 12:38:57 -05:00
Jason Ertel 7627d37386 Add 2.3.90 WAZUH hotfix corrective function 2021-11-23 12:21:28 -05:00
Jason Ertel 273842eb43 Merge pull request #6328 from Security-Onion-Solutions/kilo
WAZUH hotfix
2021-11-23 12:06:34 -05:00
Jason Ertel 0dd251e2a9 Fix typo in whiptail prompt 2021-11-23 11:19:53 -05:00
Josh Patterson c67b2b6936 Update soup
only check if salt was upgraded if upgrade_salt function was called
2021-11-23 11:14:10 -05:00
Jason Ertel af4c04be59 Fix #6325 - Prevent XML header from outputting to ossec.conf 2021-11-23 10:57:21 -05:00
Jason Ertel 4672b0c15c Fix #6317 - Do not attempt to whitelist when wazuh isn't enabled 2021-11-23 10:06:14 -05:00
Jason Ertel 9737a4088c Merge pull request #6327 from Security-Onion-Solutions/TOoSmOotH-patch-1
Update HOTFIX
2021-11-23 09:25:43 -05:00
Mike Reeves d8d429c71a Update HOTFIX 2021-11-23 09:19:41 -05:00
17 changed files with 99 additions and 56 deletions
+1
View File
@@ -0,0 +1 @@
WAZUH AIRGAPFIX 20211206 20211210
+2 -2
View File
@@ -1,6 +1,6 @@
## Security Onion 2.3.90 ## Security Onion 2.3.90-20211210
Security Onion 2.3.90 is here! Security Onion 2.3.90-20211210 is here!
## Screenshots ## Screenshots
+11 -11
View File
@@ -1,18 +1,18 @@
### 2.3.90 ISO image built on 2021/11/19 ### 2.3.90-20211210 ISO image built on 2021/12/10
### Download and Verify ### Download and Verify
2.3.90 ISO image: 2.3.90-20211210 ISO image:
https://download.securityonion.net/file/securityonion/securityonion-2.3.90.iso https://download.securityonion.net/file/securityonion/securityonion-2.3.90-20211210.iso
MD5: F214ECE9F32A6F881D9A735DEAF90E46 MD5: 512C13089060EE17BC3FA275D62152DC
SHA1: 0B04FAA0FEC704CF6AD2030AA7A4AE80D9379AFA SHA1: A70D3A3C4B74AD2EE9B1353BDE7E5DD327248511
SHA256: BE0E1516D83D7782AEAE9D52449FED45A45D72981515672C761C2A17B7AA613C SHA256: 271DA7617FBA3549B1E496C60E9AD743B13CC8D0468DF3F7AC9A76B6D496D212
Signature for ISO image: Signature for ISO image:
https://github.com/Security-Onion-Solutions/securityonion/raw/master/sigs/securityonion-2.3.90.iso.sig https://github.com/Security-Onion-Solutions/securityonion/raw/master/sigs/securityonion-2.3.90-20211210.iso.sig
Signing key: Signing key:
https://raw.githubusercontent.com/Security-Onion-Solutions/securityonion/master/KEYS https://raw.githubusercontent.com/Security-Onion-Solutions/securityonion/master/KEYS
@@ -26,22 +26,22 @@ wget https://raw.githubusercontent.com/Security-Onion-Solutions/securityonion/ma
Download the signature file for the ISO: Download the signature file for the ISO:
``` ```
wget https://github.com/Security-Onion-Solutions/securityonion/raw/master/sigs/securityonion-2.3.90.iso.sig wget https://github.com/Security-Onion-Solutions/securityonion/raw/master/sigs/securityonion-2.3.90-20211210.iso.sig
``` ```
Download the ISO image: Download the ISO image:
``` ```
wget https://download.securityonion.net/file/securityonion/securityonion-2.3.90.iso wget https://download.securityonion.net/file/securityonion/securityonion-2.3.90-20211210.iso
``` ```
Verify the downloaded ISO image using the signature file: Verify the downloaded ISO image using the signature file:
``` ```
gpg --verify securityonion-2.3.90.iso.sig securityonion-2.3.90.iso gpg --verify securityonion-2.3.90-20211210.iso.sig securityonion-2.3.90-20211210.iso
``` ```
The output should show "Good signature" and the Primary key fingerprint should match what's shown below: The output should show "Good signature" and the Primary key fingerprint should match what's shown below:
``` ```
gpg: Signature made Fri 19 Nov 2021 05:15:29 PM EST using RSA key ID FE507013 gpg: Signature made Fri 10 Dec 2021 02:52:08 PM EST using RSA key ID FE507013
gpg: Good signature from "Security Onion Solutions, LLC <info@securityonionsolutions.com>" gpg: Good signature from "Security Onion Solutions, LLC <info@securityonionsolutions.com>"
gpg: WARNING: This key is not certified with a trusted signature! gpg: WARNING: This key is not certified with a trusted signature!
gpg: There is no indication that the signature belongs to the owner. gpg: There is no indication that the signature belongs to the owner.
+6 -12
View File
@@ -23,7 +23,6 @@ import sys
import argparse import argparse
import re import re
from lxml import etree as ET from lxml import etree as ET
from xml.dom import minidom
from datetime import datetime as dt from datetime import datetime as dt
from datetime import timezone as tz from datetime import timezone as tz
@@ -79,20 +78,15 @@ def ip_prompt() -> str:
def wazuh_enabled() -> bool: def wazuh_enabled() -> bool:
for file in os.listdir(f'{LOCAL_SALT_DIR}/pillar'): file = f'{LOCAL_SALT_DIR}/pillar/global.sls'
with open(file, 'r') as pillar: with open(file, 'r') as pillar:
if 'wazuh: 1' in pillar.read(): if 'wazuh: 1' in pillar.read():
return True return True
return False return False
def root_to_str(root: ET.ElementTree) -> str: def root_to_str(root: ET.ElementTree) -> str:
xml_str = ET.tostring(root, encoding='unicode', method='xml').replace('\n', '') return ET.tostring(root, encoding='unicode', method='xml', xml_declaration=False, pretty_print=True)
xml_str = re.sub(r'(?:(?<=>) *)', '', xml_str)
xml_str = re.sub(r' -', '', xml_str)
xml_str = re.sub(r' -->', ' -->', xml_str)
dom = minidom.parseString(xml_str)
return dom.toprettyxml(indent=" ")
def add_wl(ip): def add_wl(ip):
@@ -124,7 +118,7 @@ def apply(role: str, ip: str) -> int:
else: else:
return cmd.returncode return cmd.returncode
if cmd.returncode == 0: if cmd.returncode == 0:
if wazuh_enabled and role=='analyst': if wazuh_enabled() and role=='analyst':
try: try:
add_wl(ip) add_wl(ip)
print(f'Added whitelist entry for {ip} from {WAZUH_CONF}', file=sys.stderr) print(f'Added whitelist entry for {ip} from {WAZUH_CONF}', file=sys.stderr)
+57 -23
View File
@@ -16,6 +16,7 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>. # along with this program. If not, see <http://www.gnu.org/licenses/>.
. /usr/sbin/so-common . /usr/sbin/so-common
export LC_CTYPE="en_US.UTF-8"
UPDATE_DIR=/tmp/sogh/securityonion UPDATE_DIR=/tmp/sogh/securityonion
DEFAULT_SALT_DIR=/opt/so/saltstack/default DEFAULT_SALT_DIR=/opt/so/saltstack/default
@@ -599,18 +600,33 @@ up_to_2.3.80() {
up_to_2.3.90() { up_to_2.3.90() {
for i in manager managersearch eval standalone; do for i in manager managersearch eval standalone; do
if compgen -G "/opt/so/saltstack/local/pillar/minions/*_$i.sls" > /dev/null; then echo "Checking for compgen match of /opt/so/saltstack/local/pillar/minions/*_$i.sls"
echo "soc:" >> /opt/so/saltstack/local/pillar/minions/*_$i.sls if compgen -G "/opt/so/saltstack/local/pillar/minions/*_$i.sls"; then
sed -i "/^soc:/a \\ es_index_patterns: '*:so-*,*:endgame-*'" /opt/so/saltstack/local/pillar/minions/*_$i.sls echo "Found compgen match for /opt/so/saltstack/local/pillar/minions/*_$i.sls"
for f in $(compgen -G "/opt/so/saltstack/local/pillar/minions/*_$i.sls"); do
if grep -qozP "^soc:\n.*es_index_patterns: '\*:so-\*,\*:endgame-\*'" "$f"; then
echo "soc:es_index_patterns already present in $f"
else
echo "Appending soc pillar data to $f"
echo "soc:" >> "$f"
sed -i "/^soc:/a \\ es_index_patterns: '*:so-*,*:endgame-*'" "$f"
fi
done
fi fi
done done
# Create Endgame Hostgroup # Create Endgame Hostgroup
so-firewall addhostgroup endgame echo "Adding endgame hostgroup with so-firewall"
if so-firewall addhostgroup endgame 2>&1 | grep -q 'Already exists'; then
echo 'endgame hostgroup already exists'
else
echo 'endgame hostgroup added'
fi
# Force influx to generate a new cert # Force influx to generate a new cert
mv /etc/pki/influxdb.crt /etc/pki/influxdb.crt.2390upgrade echo "Moving influxdb.crt and influxdb.key to generate new certs"
mv /etc/pki/influxdb.key /etc/pki/influxdb.key.2390upgrade mv -vf /etc/pki/influxdb.crt /etc/pki/influxdb.crt.2390upgrade
mv -vf /etc/pki/influxdb.key /etc/pki/influxdb.key.2390upgrade
# remove old common ingest pipeline in default # remove old common ingest pipeline in default
rm -vf /opt/so/saltstack/default/salt/elasticsearch/files/ingest/common rm -vf /opt/so/saltstack/default/salt/elasticsearch/files/ingest/common
@@ -837,9 +853,27 @@ verify_latest_update_script() {
fi fi
} }
apply_hotfix() {
if [[ "$INSTALLEDVERSION" == "2.3.90" ]] ; then
FILE="/nsm/wazuh/etc/ossec.conf"
echo "Detecting if ossec.conf needs corrected..."
if head -1 $FILE | grep -q "xml version"; then
echo "$FILE has an XML header; removing"
sed -i 1d $FILE
so-wazuh-restart
else
echo "$FILE does not have an XML header, so no changes are necessary."
fi
else
echo "No actions required. ($INSTALLEDVERSION/$HOTFIXVERSION)"
fi
}
main() { main() {
trap 'check_err $?' EXIT trap 'check_err $?' EXIT
echo "### Preparing soup at $(date) ###"
check_pillar_items check_pillar_items
echo "Checking to see if this is an airgap install." echo "Checking to see if this is an airgap install."
@@ -891,9 +925,10 @@ main() {
set -e set -e
if [ "$is_hotfix" == "true" ]; then if [ "$is_hotfix" == "true" ]; then
echo "Applying $HOTFIXVERSION" echo "Applying $HOTFIXVERSION hotfix"
copy_new_files copy_new_files
echo "" apply_hotfix
echo "Hotfix applied"
update_version update_version
salt-call state.highstate -l info queue=True salt-call state.highstate -l info queue=True
else else
@@ -933,21 +968,21 @@ main() {
echo "Upgrading Salt" echo "Upgrading Salt"
# Update the repo files so it can actually upgrade # Update the repo files so it can actually upgrade
upgrade_salt upgrade_salt
fi
echo "Checking if Salt was upgraded."
echo "Checking if Salt was upgraded."
echo ""
# Check that Salt was upgraded
SALTVERSIONPOSTUPGRADE=$(salt --versions-report | grep Salt: | awk '{print $2}')
if [[ "$SALTVERSIONPOSTUPGRADE" != "$NEWSALTVERSION" ]]; then
echo "Salt upgrade failed. Check of indicators of failure in $SOUP_LOG."
echo "Once the issue is resolved, run soup again."
echo "Exiting."
echo ""
exit 0
else
echo "Salt upgrade success."
echo "" echo ""
# Check that Salt was upgraded
SALTVERSIONPOSTUPGRADE=$(salt --versions-report | grep Salt: | awk '{print $2}')
if [[ "$SALTVERSIONPOSTUPGRADE" != "$NEWSALTVERSION" ]]; then
echo "Salt upgrade failed. Check of indicators of failure in $SOUP_LOG."
echo "Once the issue is resolved, run soup again."
echo "Exiting."
echo ""
exit 0
else
echo "Salt upgrade success."
echo ""
fi
fi fi
preupgrade_changes preupgrade_changes
@@ -1150,5 +1185,4 @@ EOF
read -r input read -r input
fi fi
echo "### Preparing soup at $(date) ###"
main "$@" | tee -a $SOUP_LOG main "$@" | tee -a $SOUP_LOG
+2 -2
View File
@@ -258,7 +258,7 @@ so-elasticsearch:
{% if TRUECLUSTER is sameas false or (TRUECLUSTER is sameas true and not salt['pillar.get']('nodestab', {})) %} {% if TRUECLUSTER is sameas false or (TRUECLUSTER is sameas true and not salt['pillar.get']('nodestab', {})) %}
- discovery.type=single-node - discovery.type=single-node
{% endif %} {% endif %}
- ES_JAVA_OPTS=-Xms{{ esheap }} -Xmx{{ esheap }} -Des.transport.cname_in_publish_address=true - ES_JAVA_OPTS=-Xms{{ esheap }} -Xmx{{ esheap }} -Des.transport.cname_in_publish_address=true -Dlog4j2.formatMsgNoLookups=true
ulimits: ulimits:
- memlock=-1:-1 - memlock=-1:-1
- nofile=65536:65536 - nofile=65536:65536
@@ -327,7 +327,7 @@ so-elasticsearch-pipelines-file:
so-elasticsearch-pipelines: so-elasticsearch-pipelines:
cmd.run: cmd.run:
- name: /opt/so/conf/elasticsearch/so-elasticsearch-pipelines {{ esclustername }} - name: /opt/so/conf/elasticsearch/so-elasticsearch-pipelines {{ grains.host }}
- onchanges: - onchanges:
- file: esingestconf - file: esingestconf
- file: esingestdynamicconf - file: esingestdynamicconf
File diff suppressed because one or more lines are too long
+1
View File
@@ -0,0 +1 @@
-Dlog4j2.formatMsgNoLookups=true
+4
View File
@@ -65,6 +65,10 @@ yumconf:
- mode: 644 - mode: 644
- template: jinja - template: jinja
- show_changes: False - show_changes: False
cleanairgap:
file.absent:
- name: /etc/yum.repos.d/airgap_repo.repo
{% endif %} {% endif %}
cleanyum: cleanyum:
+1 -1
View File
@@ -95,7 +95,7 @@ so-thehive-es:
- /opt/so/conf/thehive/etc/es/log4j2.properties:/usr/share/elasticsearch/config/log4j2.properties:ro - /opt/so/conf/thehive/etc/es/log4j2.properties:/usr/share/elasticsearch/config/log4j2.properties:ro
- /opt/so/log/thehive:/var/log/elasticsearch:rw - /opt/so/log/thehive:/var/log/elasticsearch:rw
- environment: - environment:
- ES_JAVA_OPTS=-Xms512m -Xmx512m - ES_JAVA_OPTS=-Xms512m -Xmx512m -Dlog4j2.formatMsgNoLookups=true
- port_bindings: - port_bindings:
- 0.0.0.0:9400:9400 - 0.0.0.0:9400:9400
- 0.0.0.0:9500:9500 - 0.0.0.0:9500:9500
+2 -2
View File
@@ -2016,10 +2016,10 @@ reinstall_init() {
{ {
if command -v salt-call &> /dev/null && grep -q "master:" /etc/salt/minion 2> /dev/null; then if command -v salt-call &> /dev/null && grep -q "master:" /etc/salt/minion 2> /dev/null; then
# Disable schedule so highstate doesn't start running during the install # Disable schedule so highstate doesn't start running during the install
salt-call -l info schedule.disable salt-call -l info schedule.disable --local
# Kill any currently running salt jobs, also to prevent issues with highstate. # Kill any currently running salt jobs, also to prevent issues with highstate.
salt-call -l info saltutil.kill_all_jobs salt-call -l info saltutil.kill_all_jobs --local
fi fi
# Kill any salt processes (safely) # Kill any salt processes (safely)
+1 -1
View File
@@ -318,7 +318,7 @@ if ! [[ -f $install_opt_file ]]; then
elif [[ $is_minion && $is_iso ]]; then elif [[ $is_minion && $is_iso ]]; then
$sshcmd -i /root/.ssh/so.key soremote@"$MSRV" [[ -f /etc/yum.repos.d/airgap_repo.repo ]] >> $setup_log 2>&1 $sshcmd -i /root/.ssh/so.key soremote@"$MSRV" [[ -f /etc/yum.repos.d/airgap_repo.repo ]] >> $setup_log 2>&1
airgap_check=$? airgap_check=$?
[[ $airgap_check ]] && is_airgap=true >> $setup_log 2>&1 [[ $airgap_check == 0 ]] && is_airgap=true >> $setup_log 2>&1
fi fi
reset_proxy reset_proxy
+1 -1
View File
@@ -753,7 +753,7 @@ whiptail_install_type_dist() {
dist_option=$(whiptail --title "$whiptail_title" --menu "Do you want to start a new deployment or join this box to \nan existing deployment?" 11 75 2 \ dist_option=$(whiptail --title "$whiptail_title" --menu "Do you want to start a new deployment or join this box to \nan existing deployment?" 11 75 2 \
"New Deployment " "Create a new Security Onion deployment" \ "New Deployment " "Create a new Security Onion deployment" \
"Existing Deployment " "Join to an exisiting Security Onion deployment " \ "Existing Deployment " "Join to an existing Security Onion deployment " \
3>&1 1>&2 2>&3 3>&1 1>&2 2>&3
) )
local exitstatus=$? local exitstatus=$?
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.